Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/wizard/AddBundlesWizardPage.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/wizard/AddBundlesWizardPage.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/wizard/AddBundlesWizardPage.java	(revision 43126)
@@ -0,0 +1,156 @@
+/**
+ * gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright (C) 2007-2013 gvSIG Association.
+ *
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
+ *
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
+ */
+/*
+ * AUTHORS (In addition to CIT):
+ * 2010 {Prodevelop}   {Task}
+ */
+package org.gvsig.installer.swing.impl.execution.wizard;
+
+import javax.swing.JOptionPane;
+
+import javax.swing.JPanel;
+import javax.swing.SwingUtilities;
+import org.gvsig.gui.beans.wizard.WizardPanelWithLogo;
+
+import org.gvsig.gui.beans.wizard.panel.OptionPanel;
+import org.gvsig.installer.lib.api.execution.InstallPackageService;
+import org.gvsig.installer.swing.api.SwingInstallerLocator;
+import org.gvsig.installer.swing.api.SwingInstallerManager;
+import org.gvsig.installer.swing.impl.execution.InstallWizardPanel_ext;
+import org.gvsig.installer.swing.impl.execution.panel.SelectBundlesPanel;
+import org.gvsig.installer.swing.impl.panel.DefaultProgressPanel;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.task.AbstractMonitorableTask;
+import org.gvsig.tools.task.SimpleTaskStatus;
+
+public class AddBundlesWizardPage extends DefaultProgressPanel implements OptionPanel {
+
+    private static final long serialVersionUID = 8531884535246881448L;
+    private final InstallWizardPanel_ext wizardPanel;
+
+    public AddBundlesWizardPage(InstallWizardPanel_ext installerExecutionWizard) {
+        super();
+        this.wizardPanel = installerExecutionWizard;
+    }
+
+    @Override
+    public JPanel getJPanel() {
+        return this;
+    }
+
+    @Override
+    public String getPanelTitle() {
+        return wizardPanel.getTranslation("_Loading_packages");
+    }
+
+    @Override
+    public void lastPanel() {
+        wizardPanel.setFinishButtonEnabled(false);
+        wizardPanel.setCancelButtonEnabled(true);
+    }
+
+    @Override
+    public void nextPanel() {
+    }
+
+    @Override
+    public void updatePanel() {
+        if( wizardPanel.getDirection() == WizardPanelWithLogo.ACTION_PREVIOUS ) {
+            wizardPanel.skip();
+            return;
+        }
+        wizardPanel.setFinishButtonEnabled(false);
+        wizardPanel.setBackButtonEnabled(false);
+        wizardPanel.setNextButtonEnabled(false);
+        wizardPanel.setCancelButtonEnabled(true);
+
+        UpdatePanel task = new UpdatePanel(this);
+        this.wizardPanel.addCancellableTask(task);
+        bind(task.getTaskStatus());
+        task.setDaemon(true);
+        task.start();
+    }
+
+    private class UpdatePanel extends AbstractMonitorableTask {
+
+        private final AddBundlesWizardPage panel;
+
+        public UpdatePanel(AddBundlesWizardPage panel) {
+            super(panel.wizardPanel.getTranslation("_Loading_packages"));
+            this.panel = panel;
+        }
+
+        @Override
+        public synchronized void run() {
+
+            try {
+
+                logger.info("loading packages");
+                SimpleTaskStatus taskStatus = (SimpleTaskStatus) this.getTaskStatus();
+                taskStatus.setIndeterminate();
+
+                InstallPackageService installerExecutionService = wizardPanel.getInstallerExecutionService();
+                SelectBundlesPanel bundlesPanel = wizardPanel.getBundlesPanel();
+
+                if (bundlesPanel.isStandardSelected()) {
+                    installerExecutionService.addBundlesFromDirectory(
+                            wizardPanel.getInstallFolder(), taskStatus
+                    );
+
+                } else if (bundlesPanel.isURLSelected() && bundlesPanel.getSelectedURL() != null) {
+                    installerExecutionService.addBundle(bundlesPanel.getSelectedURL(), taskStatus);
+
+                } else if (bundlesPanel.isFileSelected() && bundlesPanel.getSelectedFile() != null && bundlesPanel.getSelectedFile().exists()) {
+                    installerExecutionService.addBundle(bundlesPanel.getSelectedFile(), taskStatus);
+
+                }
+
+                taskStatus.message(panel.wizardPanel.getTranslation("_Finished"));
+
+                taskStatus.terminate();
+                SwingUtilities.invokeAndWait(new Runnable() {
+
+                    @Override
+                    public void run() {
+                        wizardPanel.setFinishButtonEnabled(false);
+                        wizardPanel.setBackButtonEnabled(true);
+                        wizardPanel.setNextButtonEnabled(true);
+                        wizardPanel.setCancelButtonEnabled(true);
+                        wizardPanel.doAction(WizardPanelWithLogo.ACTION_NEXT);
+                    }
+                });
+                logger.info("Loading packages finished");
+
+            } catch (Throwable th) {
+                logger.warn("Problems loading packages.", th);
+                ToolsSwingLocator.getThreadSafeDialogsManager().messageDialog(
+                        panel.wizardPanel.getTranslation("_Cant_load_packages"), 
+                        panel.wizardPanel.getTranslation("_Warning"), 
+                        JOptionPane.WARNING_MESSAGE
+                );
+
+            }
+        }
+
+    }
+}

Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/creation/DefaultMakePluginPackageWizard.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/creation/DefaultMakePluginPackageWizard.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/creation/DefaultMakePluginPackageWizard.java	(revision 43126)
@@ -3,29 +3,23 @@
  *
  * Copyright (C) 2007-2013 gvSIG Association.
  *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 3
- * of the License, or (at your option) any later version.
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
  *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
  *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
- * MA  02110-1301, USA.
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  *
- * For any additional information, do not hesitate to contact us
- * at info AT gvsig.com, or visit our website www.gvsig.com.
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
  */
-/*
- * AUTHORS (In addition to CIT):
- * 2010 {Prodevelop}   {Task}
- */
-
 package org.gvsig.installer.swing.impl.creation;
 
 import java.awt.BorderLayout;
@@ -34,12 +28,10 @@
 import java.net.URL;
 
 import javax.swing.ImageIcon;
+import javax.swing.JComponent;
 
-import jwizardcomponent.DefaultJWizardComponents;
 
 import org.gvsig.gui.beans.wizard.WizardPanel;
-import org.gvsig.gui.beans.wizard.WizardPanelActionListener;
-import org.gvsig.gui.beans.wizard.WizardPanelWithLogo;
 import org.gvsig.installer.lib.api.InstallerLocator;
 import org.gvsig.installer.lib.api.PackageInfo;
 import org.gvsig.installer.lib.api.creation.MakePluginPackageService;
@@ -52,185 +44,149 @@
 import org.gvsig.installer.swing.impl.creation.wizard.SelectFilesWizard;
 import org.gvsig.installer.swing.impl.creation.wizard.SelectOutputFileWizard;
 import org.gvsig.installer.swing.impl.creation.wizard.SelectPlugintoInstallWizard;
-import org.gvsig.installer.swing.impl.wizard.WizardListenerAdapter;
+import org.gvsig.installer.swing.impl.wizard.AbstractInstallerWizardPanel;
 import org.gvsig.tools.locator.LocatorException;
 
-/**
- * @author <a href="mailto:jpiera@gvsig.org">Jorge Piera Llodr&aacute;</a>
- */
-public class DefaultMakePluginPackageWizard extends MakePluginPackageWizard
-		implements WizardPanel {
+public class DefaultMakePluginPackageWizard
+        extends
+        AbstractInstallerWizardPanel
+        implements
+        MakePluginPackageWizard, WizardPanel {
 
-	private static final long serialVersionUID = 9205891710214122265L;
-	private WizardPanelWithLogo wizardPanelWithLogo = null;
-	private MakePluginPackageService makePluginPackageService = null;
-	private OutputStream outputStream = null;
-	private OutputStream indexOutputStream;
-	private PackageInfo selectedPackageInfo = null;
-	private File originalPluginFolder = null;
+    private static final long serialVersionUID = 9205891710214122265L;
 
-	// Wizards
-	private AdvancedModeSelectionWizard advancedModeSelectionWizard = null;
-	private AntScriptWizard antScriptWizard = null;
-	private PackageInfoWizard pluginDescriptionWizard = null;
-	private ProgressWizard progressWizard = null;
-	private SelectFilesWizard selectFilesWizard = null;
-	private SelectOutputFileWizard selectOutputFileWizard = null;
-	private SelectPlugintoInstallWizard selectPlugintoInstallWizard = null;
+    private MakePluginPackageService makePluginPackageService = null;
+    private OutputStream outputStream = null;
+    private OutputStream indexOutputStream;
+    private PackageInfo selectedPackageInfo = null;
+    private File originalPluginFolder = null;
 
-	private WizardListenerAdapter wizardListenerAdapter = null;
-	private URL downloadURL;
+    // Wizard pages
+    private AdvancedModeSelectionWizard advancedModeSelectionWizard = null;
+    private AntScriptWizard antScriptWizard = null;
+    private PackageInfoWizard pluginDescriptionWizard = null;
+    private ProgressWizard progressWizard = null;
+    private SelectFilesWizard selectFilesWizard = null;
+    private SelectOutputFileWizard selectOutputFileWizard = null;
+    private SelectPlugintoInstallWizard selectPlugintoInstallWizard = null;
 
-	public DefaultMakePluginPackageWizard(File applicationFolder,
-			File installFolder) throws LocatorException,
-			MakePluginPackageServiceException {
-		super(applicationFolder, installFolder);
-		URL iconURL = getClass().getClassLoader().getResource(
-				"images/makepluginpackageicon.png");
-		ImageIcon icon = new ImageIcon(iconURL);
-		wizardPanelWithLogo = new WizardPanelWithLogo();
+    private URL downloadURL;
 
-		advancedModeSelectionWizard = new AdvancedModeSelectionWizard(this);
-		antScriptWizard = new AntScriptWizard(this);
-		pluginDescriptionWizard = new PackageInfoWizard(this);
-		progressWizard = new ProgressWizard(this);
-		selectFilesWizard = new SelectFilesWizard(this);
-		selectOutputFileWizard = new SelectOutputFileWizard(this);
-		selectPlugintoInstallWizard = new SelectPlugintoInstallWizard(this);
+    public DefaultMakePluginPackageWizard(File applicationFolder,
+            File installFolder) throws LocatorException,
+            MakePluginPackageServiceException {
+        super(applicationFolder, installFolder);
+        URL iconURL = getClass().getClassLoader().getResource(
+                "images/makepluginpackageicon.png");
+        ImageIcon icon = new ImageIcon(iconURL);
 
-		addWizards();
+        advancedModeSelectionWizard = new AdvancedModeSelectionWizard(this);
+        antScriptWizard = new AntScriptWizard(this);
+        pluginDescriptionWizard = new PackageInfoWizard(this);
+        progressWizard = new ProgressWizard(this);
+        selectFilesWizard = new SelectFilesWizard(this);
+        selectOutputFileWizard = new SelectOutputFileWizard(this);
+        selectPlugintoInstallWizard = new SelectPlugintoInstallWizard(this);
 
-		// Adding the listeners
-		wizardPanelWithLogo.setWizardListener(this);
+        addWizards();
 
-		setFinishButtonEnabled(false);
+        setFinishButtonEnabled(false);
 
-		this.setLayout(new BorderLayout());
-		this.add(wizardPanelWithLogo, BorderLayout.CENTER);
+        this.setLayout(new BorderLayout());
+        super.initComponents();
 
-		makePluginPackageService = InstallerLocator.getInstallerManager()
-				.getMakePluginPackageService();
-		selectPlugintoInstallWizard
-				.setPluginsDirectory(makePluginPackageService);
-		selectFilesWizard.setApplicationDirectory(applicationFolder);
-	}
+        makePluginPackageService = InstallerLocator.getInstallerManager().getMakePluginPackageService();
+        selectPlugintoInstallWizard.setPluginsDirectory(makePluginPackageService);
+        selectFilesWizard.setApplicationDirectory(applicationFolder);
+    }
 
-	public MakePluginPackageService getMakePluginPackageService() {
-		return makePluginPackageService;
-	}
+    public MakePluginPackageService getMakePluginPackageService() {
+        return makePluginPackageService;
+    }
 
-	private void addWizards() {
-		wizardPanelWithLogo.addOptionPanel(selectPlugintoInstallWizard);
-		wizardPanelWithLogo.addOptionPanel(pluginDescriptionWizard);
-		wizardPanelWithLogo.addOptionPanel(advancedModeSelectionWizard);
-		addLastWizards();
-	}
+    private void addWizards() {
+        addOptionPanel(selectPlugintoInstallWizard);
+        addOptionPanel(pluginDescriptionWizard);
+        addOptionPanel(advancedModeSelectionWizard);
+        addLastWizards();
+    }
 
-	private void addLastWizards() {
-		wizardPanelWithLogo.addOptionPanel(selectOutputFileWizard);
-		wizardPanelWithLogo.addOptionPanel(progressWizard);
-	}
+    private void addLastWizards() {
+        addOptionPanel(selectOutputFileWizard);
+        addOptionPanel(progressWizard);
+    }
 
-	private void addAdvancedWizards() {
-		wizardPanelWithLogo.addOptionPanel(selectFilesWizard);
-		wizardPanelWithLogo.addOptionPanel(antScriptWizard);
-	}
+    private void addAdvancedWizards() {
+        addOptionPanel(selectFilesWizard);
+        addOptionPanel(antScriptWizard);
+    }
 
-	private DefaultJWizardComponents getWizardComponents() {
-		return wizardPanelWithLogo.getWizardComponents();
-	}
+    public void setAdvancedModeSelected(boolean advancedModeSelected) {
+        for (int i = getWizardComponents().getWizardPanelList().size() - 1; i >= 3; i--) {
+            getWizardComponents().removeWizardPanel(i);
+        }
+        if (advancedModeSelected) {
+            addAdvancedWizards();
+        }
+        addLastWizards();
+    }
 
-	public void setNextButtonEnabled(boolean isEnabled) {
-		wizardPanelWithLogo.setNextButtonEnabled(isEnabled);
-	}
+    /**
+     * @return the installercreationService
+     */
+    public MakePluginPackageService getInstallerCreationService() {
+        return makePluginPackageService;
+    }
 
-	public void setCancelButtonEnabled(boolean isEnabled) {
-		wizardPanelWithLogo.setCancelButtonEnabled(isEnabled);
-	}
+    /**
+     * @return the outputStream
+     */
+    public OutputStream getOutputStream() {
+        return outputStream;
+    }
 
-	public void setFinishButtonEnabled(boolean isEnabled) {
-		wizardPanelWithLogo.setFinishButtonEnabled(isEnabled);
-	}
+    /**
+     * @param outputStream the outputStream to set
+     */
+    public void setOutputStream(OutputStream outputStream) {
+        this.outputStream = outputStream;
+    }
 
-	public void setBackButtonEnabled(boolean isEnabled) {
-		wizardPanelWithLogo.setBackButtonEnabled(isEnabled);
-	}
+    public OutputStream getIndexOutputStream() {
+        return indexOutputStream;
+    }
 
-	public void setAdvancedModeSelected(boolean advancedModeSelected) {
-		for (int i = getWizardComponents().getWizardPanelList().size() - 1; i >= 3; i--) {
-			getWizardComponents().removeWizardPanel(i);
-		}
-		if (advancedModeSelected) {
-			addAdvancedWizards();
-		}
-		addLastWizards();
-	}
+    public void setIndexOutputStream(OutputStream outputStream) {
+        this.indexOutputStream = outputStream;
+    }
 
-	/**
-	 * @return the installercreationService
-	 */
-	public MakePluginPackageService getInstallerCreationService() {
-		return makePluginPackageService;
-	}
+    public PackageInfo getSelectedPackageInfo() {
+        return selectedPackageInfo;
+    }
 
-	/**
-	 * @return the outputStream
-	 */
-	public OutputStream getOutputStream() {
-		return outputStream;
-	}
+    public void setSelectedPackageInfo(PackageInfo selectedPackageInfo) {
+        this.selectedPackageInfo = selectedPackageInfo;
+    }
 
-	/**
-	 * @param outputStream
-	 *            the outputStream to set
-	 */
-	public void setOutputStream(OutputStream outputStream) {
-		this.outputStream = outputStream;
-	}
+    public void setOriginalPluginFolder(File originalPluginFolder) {
+        this.originalPluginFolder = originalPluginFolder;
+    }
 
-	public OutputStream getIndexOutputStream() {
-		return indexOutputStream;
-	}
+    public File getOriginalPluginFolder() {
+        return this.originalPluginFolder;
+    }
 
-	public void setIndexOutputStream(OutputStream outputStream) {
-		this.indexOutputStream = outputStream;
-	}
+    public void setDownloadURL(URL downloadURL) {
+        this.downloadURL = downloadURL;
+    }
 
-	public PackageInfo getSelectedPackageInfo() {
-		return selectedPackageInfo;
-	}
+    public URL getDownloadURL() {
+        return downloadURL;
+    }
 
-	public void setSelectedPackageInfo(PackageInfo selectedPackageInfo) {
-		this.selectedPackageInfo = selectedPackageInfo;
-	}
+    @Override
+    public JComponent asJComponent() {
+        return this;
+    }
 
-	public void setOriginalPluginFolder(File originalPluginFolder) {
-		this.originalPluginFolder = originalPluginFolder;
-	}
-
-	public File getOriginalPluginFolder() {
-		return this.originalPluginFolder;
-	}
-
-	public WizardPanelActionListener getWizardPanelActionListener() {
-		if (((wizardListenerAdapter == null) && (getWizardActionListener() != null))) {
-			return new WizardListenerAdapter(this);
-		}
-		return wizardListenerAdapter;
-	}
-
-	public void setWizardPanelActionListener(
-			WizardPanelActionListener wizardActionListener) {
-		// TODO Auto-generated method stub
-
-	}
-
-	public void setDownloadURL(URL downloadURL) {
-		this.downloadURL = downloadURL;
-	}
-
-	public URL getDownloadURL() {
-		return downloadURL;
-	}
-
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/DefaultSwingInstallerManager.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/DefaultSwingInstallerManager.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/DefaultSwingInstallerManager.java	(revision 43126)
@@ -55,15 +55,18 @@
 import org.gvsig.installer.swing.api.creation.JPackageInfoPanel;
 import org.gvsig.installer.swing.api.creation.MakePluginPackageWizard;
 import org.gvsig.installer.swing.api.creation.MakePluginPackageWizardException;
-import org.gvsig.installer.swing.api.execution.AbstractInstallPackageWizard;
 import org.gvsig.installer.swing.api.execution.InstallPackageWizardException;
+import org.gvsig.installer.swing.api.execution.InstallWizardPanel;
 import org.gvsig.installer.swing.api.execution.JShowPackageStatusAndAskContinuePanel;
 import org.gvsig.installer.swing.api.execution.JShowPackagesAndAskContinuePanel;
 import org.gvsig.installer.swing.api.execution.JShowRequiredPackagesAndAskContinuePanel;
 import org.gvsig.installer.swing.api.execution.JShowUnresolvedDependenciesAndAskContinuePanel;
+import org.gvsig.installer.swing.api.execution.PackageFilter;
 import org.gvsig.installer.swing.api.packagebuilder.PackageBuildder;
+import org.gvsig.installer.swing.api.wizard.InstallerWizardPanel;
 import org.gvsig.installer.swing.impl.creation.panel.DefaultOutputPanel;
 import org.gvsig.installer.swing.impl.creation.panel.DefaultPackageInfoPanel;
+import org.gvsig.installer.swing.impl.execution.panel.filters.TypeFilter;
 import org.gvsig.installer.swing.impl.packagebuilder.BasePackageWizard;
 import org.gvsig.installer.swing.impl.panel.DefaultProgressPanel;
 import org.gvsig.tools.ToolsLocator;
@@ -324,7 +327,7 @@
 	}
 
 	public void registerInstallPackageWizard(
-			Class<? extends AbstractInstallPackageWizard> clazz) {
+			Class<? extends InstallerWizardPanel> clazz) {
 		ExtensionPoint extensionPoint = extensionPoints.add(
 				SWING_INSTALLER_MANAGER_EXTENSION_POINT, "");
 		extensionPoint.append(EXECUTE_INSTALLER_WIZARD_NAME, "", clazz);
@@ -483,7 +486,7 @@
 		return new DefaultProgressPanel();
 	}
 
-	public AbstractInstallPackageWizard createInstallPackageWizard(
+	public InstallWizardPanel createInstallPackageWizard(
 			File applicationDirectory, File installFolder)
 			throws InstallPackageWizardException {
 		ExtensionPoint ep = extensionPoints
@@ -492,7 +495,7 @@
 			Object[] args = new Object[2];
 			args[0] = applicationDirectory;
 			args[1] = installFolder;
-			return (AbstractInstallPackageWizard) ep.create(
+			return (InstallWizardPanel) ep.create(
 					EXECUTE_INSTALLER_WIZARD_NAME, args);
 
 		} catch (Exception e) {
@@ -501,6 +504,7 @@
 		}
 	}
 
+        @Override
 	public MakePluginPackageWizard createMakePluginPackageWizard(
 			File applicationDirectory, File installFolder)
 			throws MakePluginPackageWizardException {
@@ -523,4 +527,8 @@
             PackageBuildder packager = new BasePackageWizard(packageType, selectionFolder, outputFolder);
             return packager;
         }
+        
+        public PackageFilter createPackageTypeFilter(String type) {
+            return new TypeFilter(type);
+        }
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/DefaultSwingInstallerLibrary.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/DefaultSwingInstallerLibrary.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/DefaultSwingInstallerLibrary.java	(revision 43126)
@@ -36,7 +36,7 @@
 import org.gvsig.installer.swing.api.SwingInstallerLocator;
 import org.gvsig.installer.swing.api.SwingInstallerManager;
 import org.gvsig.installer.swing.impl.creation.DefaultMakePluginPackageWizard;
-import org.gvsig.installer.swing.impl.execution.DefaultInstallPackageWizard;
+import org.gvsig.installer.swing.impl.execution.DefaultInstallWizardPanel;
 import org.gvsig.tools.library.AbstractLibrary;
 import org.gvsig.tools.library.LibraryException;
 
@@ -71,6 +71,6 @@
 		swingInstallerManager
 				.registerMakePluginPackageWizardInstallerCreationWizard(DefaultMakePluginPackageWizard.class);
 		swingInstallerManager
-				.registerInstallPackageWizard(DefaultInstallPackageWizard.class);
+				.registerInstallPackageWizard(DefaultInstallWizardPanel.class);
 	}
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/panel/DefaultProgressPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/panel/DefaultProgressPanel.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/panel/DefaultProgressPanel.java	(revision 43126)
@@ -54,11 +54,10 @@
 	final private JTaskStatus progressBar;
 
 	public DefaultProgressPanel() {
-		super();
-		progressBar = ToolsSwingLocator.getTaskStatusSwingManager()
-				.createJTaskStatus();
+            super();
+            progressBar = ToolsSwingLocator.getTaskStatusSwingManager().createJTaskStatus();
 
-		initComponents();
+            initComponents();
 	}
 
 	@Override
@@ -80,6 +79,7 @@
 
 	}
 
+        @Override
 	public void showErrorMessage(String msg, Throwable ex) {
 		logger.error(msg, ex);
                 
